<!DOCTYPE html>
<html>
<!-- DataCite Metadata Generator (Kernel 3.1)-->
<!-- created: 2013-10-04 paluchm - DataCite Canada -->
<!-- modified: 2015-02-04 paluchm - Updated to Kernel 3.1 -->
<!-- modified: 2015-11-01 paluchm - Fixed HTML validation problems. Modified implementation so that new XML tags can be generated just by adding HTML elements with proper names and classes. -->
<!-- modified: 2016-01-09 paluchm - Fixed rightsList tag name. -->
<!-- This form makes use of styles developed by the wet-boew project (https://github.com/wet-boew/wet-boew)  -->
<!-- Recommended browsers are Firefox or Chrome. Minimum supported IE version is 8 (save feature currently not supported in IE)-->

<head>
	<meta charset="utf-8" />
	<title>OER-Portal Niedersachsen - Metadaten Generator</title>

	<script src="https://code.jquery.com/jquery-2.2.4.min.js"></script>
	<link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
	<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.2/jquery-confirm.min.css">
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.2/jquery-confirm.min.js"></script>
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

	<script type="text/javascript" src="resources/dictionary_metadata_ntm_de.js"></script>
	<script type="text/javascript" src="resources/dmg.js"></script>
	<script type="text/javascript" src="resources/metadataGenerator.js"></script>
	<script type="text/javascript" src="resources/load.js"></script>

	<link rel="stylesheet" href="resources/dmg.css" />

	<script type="text/javascript"></script>
</head>

<body>

	<h2 class="pagetitle">OER Portal Niedersachsen - Metadaten Generator</h2>
	<div class="left">

		<h3 class="mandatory">Erforderliche Angaben</h3>
		<div class="form mandatory">
			<div title="creators" class="section wrapper-tag">
				<span class="tag-group-label" id="creatorName">Creator(s):</span>
				<button type="button" class="add group"><i class="fa fa-plus"></i></button>
				<div class="tag-group">
					<div title="creator" class="tag">
						<div title="creatorName" class="tag">
							<input class="full-width input-field tag-value required" type="text" placeholder="Vorname Nachname" title="creatorName" value="" />
						</div>
						<span class="tag-group-label indent" id="nameId">NameIdentifier(s):</span>
						<div title="nameIdentifier" class="tag indent">
							<select class="half-width input-field tag-attribute" title="personalIdentifier"></select>
							<input class="half-width input-field tag-value" type="text" placeholder="ID des Autors" title="nameIdentifier" value="" />
							<button type="button" class="add single-tag"><i class="fa fa-plus"></i></button>
						</div>
					</div>
				</div>
			</div>

			<div title="titles" class="section wrapper-tag">
				<span class="tag-group-label" id="title">Title(s):</span>
				<div class="tag-group">
					<div title="title" class="tag">
						<input class="full-width input-field tag-value required" type="text" placeholder="z.B. Titel des Bildes/Videos/Textes/Moduls" title="title" value="" />
					</div>
					<div title="titleDescription" class="tag">
						<input class="full-width input-field tag-value" type="text" placeholder="(optional) Kurze Beschreibung des Werks" title="titleDescription" value="" />
					</div>
					<div title="seriesTitle" class="tag">
						<input class="full-width input-field tag-value" type="text" placeholder="Reihentitel/Projekt-, Vorlesungs- oder Kurstitel" title="seriesTitle" value="" />
					</div>
					<div title="partNo" class="tag">
						<input class="half-width input-field tag-value" type="text" placeholder="Zählung/Datum" title="partNo" value="" />
					</div>
				</div>
			</div>

			<div title="keywords" class="section wrapper-tag">
				<span class="tag-group-label" id="keywords">Keywords:</span>
				<button type="button" class="add group"><i class="fa fa-plus"></i></button>
				<div class="tag-group">
					<div title="keyword" class="tag">
						<select class="half-width input-field tag-attribute" title="language"></select>
						<input class="half-width input-field tag-value" type="text" placeholder="Schlagwort" title="keyword" value="" />
					</div>
				</div>
			</div>

			<div class="section">
				<span class="tag-group-label" id="typeOfMaterial">Type of Material:</span>
				<div class="tag-group">
					<div title="typeOfMaterial" class="tag">
						<select class="full-width input-field tag-value required" title="typeOfMaterial"></select>
					</div>
				</div>
			</div>

			<div class="section">
				<div class="tag-group">
					<div title="publicationDate" class="tag">
						<input type="text" hidden="true" class="full-width input-field tag-value today required" placeholder="MM/DD/YYY" title="publicationDate" value="" disabled />
					</div>
				</div>
			</div>

			<div class="section">
				<span class="tag-group-label" id="licence">Licence:</span>
				<div class="tag-group">
					<div title="licence" class="tag">
						<select class="full-width input-field tag-value required" id="licenceSelect" title="licence"></select>
						<input class="full-width input-field tag-attribute" id="licenceName" hidden="true" type="text" placeholder="Licence" title="shortName" value="" disabled />
						<input class="full-width input-field tag-attribute" id="licenceUrl" hidden="true" type="text" placeholder="Licence Url" title="url" value="" disabled />
					</div>
				</div>
			</div>

			<div class="section">
				<span class="tag-group-label" id="language">Language:</span>
				<div class="tag-group">
					<div title="language" class="tag">
						<select class="full-width input-field tag-value required" title="language" placeholder="Wähle ..."></select>
					</div>
				</div>
			</div>

			<div title="subjectAreas" class="section wrapper-tag">
				<span class="tag-group-label" id="subjectArea">SubjectArea(s):</span>
				<div class="tag-group">
					<div title="subjectArea" class="tag">
						<select class="full-width input-field tag-value required" title="subjectArea"></select>
					</div>
				</div>
			</div>

			<div class="section">
				<span class="tag-group-label" id="institution">Institution:</span>
				<div class="tag-group">
					<div title="institution" class="tag">
						<select class="full-width input-field tag-value required" id="institutionDpd" title="institution"></select>
						<input class="full-width input-field tag-attribute" id="institutionRor" hidden="true" type="text" placeholder="Institution ROR" title="institutionRor" value="" disabled />
					</div>
				</div>
			</div>

		</div> <!-- mandatory -->

		<h3 class="other">+ Empfohlene Angaben</h3>
		<div id="other" class="form other hidden">

			<div title="alternateIdentifiers" class="section wrapper-tag">
				<span class="tag-group-label" id="alternateIdentifier">Alternate Identifier(s):</span>
				<button type="button" class="add group"><i class="fa fa-plus"></i></button>
				<div class="tag-group">
					<div title="alternateIdentifier" class="tag">
						<select class="half-width input-field tag-attribute" title="alternateIdentifierType"></select>
						<input class="half-width input-field tag-value" type="text" placeholder="Alternativer Identifier, z.B. DOI" title="alternateIdentifier" value="" />
					</div>
				</div>
			</div>

			<div title="eventFormats" class="section wrapper-tag">
				<span class="tag-group-label" id="eventFormats">Event Format:</span>
				<button type="button" class="add group"><i class="fa fa-plus"></i></button>
				<div class="tag-group">
					<div title="eventFormat" class="tag">
						<select class="full-width input-field tag-value" title="eventFormat"></select>
					</div>
				</div>
			</div>

			<div title="targetGroups" class="section wrapper-tag">
				<span class="tag-group-label" id="targetGroups">Target Group:</span>
				<button type="button" class="add group"><i class="fa fa-plus"></i></button>
				<div class="tag-group">
					<div title="targetGroup" class="tag">
						<select class="full-width input-field tag-value" title="targetGroup"></select>
					</div>
				</div>
			</div>

			<div title="didacticFunctions" class="section wrapper-tag">
				<span class="tag-group-label" id="didacticFunctions">Didactic Function:</span>
				<button type="button" class="add group"><i class="fa fa-plus"></i></button>
				<div class="tag-group">
					<div title="didacticFunction" class="tag">
						<select class="full-width input-field tag-value" title="didacticFunction"></select>
						<span class="help" title="didacticFunction"><i class="fa fa-info"></i></span>
					</div>
				</div>
			</div>

			<div title="durations" class="section wrapper-tag">
				<span class="tag-group-label" id="durations">Duration:</span>
				<button type="button" class="add group"><i class="fa fa-plus"></i></button>
				<div class="tag-group">
					<div title="duration" class="tag">
						<select class="full-width input-field tag-value" title="duration"></select>
					</div>
				</div>
			</div>

			<div class="section">
				<span class="tag-group-label" id="examObject">ExamObject:</span>
				<div class="tag-group">
					<div title="examObject" class="tag">
						<select class="full-width input-field tag-value" title="examObject"></select>
					</div>
				</div>
			</div>
		</div>

		<br />
		XML Datei laden: <input id="loadfile" type="file" />
		<pre id="log">
</pre>
	</div>
	<div class="right hidden">
		<h3 class="results">Metadata</h3>
		<div class="form results">
			<pre><code style="display:inline-block;"></code></pre>
		</div>
		<br />
		<button type="button" id="download" onclick="save()">XML prüfen + speichern</button>
		<button type="button" id="reset">Formular leeren</button>
		<button type="button" id="selectall">XML auswählen</button>
		<span class="output" id="output"></span>
	</div>
</body>

</html>
